#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.6.0.3
id: jose-0.6.0.3-EQ9rpkQIsb25QvL7dxhJjc
key: jose-0.6.0.3-EQ9rpkQIsb25QvL7dxhJjc
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: f29d7373026f97a2c5833fdfa3139f74
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/jose-0.6.0.3
hs-libraries: HSjose-0.6.0.3-EQ9rpkQIsb25QvL7dxhJjc
depends:
    base-4.10.1.0 attoparsec-0.13.2.2-1IsPw46SBaXMxKqrmF8MV
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    concise-0.1.0.0-3DwDMy0NtbH8anhe7aeENa containers-0.5.10.2
    cryptonite-0.24-IByKkM7P4zb84ZBbpPiYXO
    lens-4.15.4-IARthxF7jlSBoI0l6fcfLa
    memory-0.14.13-E2BkSNMs5yG1xvtpnX46Vf
    monad-time-0.2-LUGpLHgSHKFHCiGjsIZzVq
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7 template-haskell-2.12.0.0
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    aeson-1.2.3.0-Cf2i78OHlFUJYqdwyv5nlM
    unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB
    bytestring-0.10.8.2 text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj
    time-1.8.0.2 network-uri-2.6.1.0-BbYfQUrqmQG8TYLVq3Shq8
    QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9
    quickcheck-instances-0.3.16.1-F3CGOCfWzAIE2k3RoBmtPK
    x509-1.7.2-1IcjKHXhhV7H2etXtZqC4B
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             attoparsec-0.13.2.2-1IsPw46SBaXMxKqrmF8MV=c494333baf54c0b8596ba018ce99c526
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fd5db0dc9688093c1ac2c3223371478e
             concise-0.1.0.0-3DwDMy0NtbH8anhe7aeENa=a65f9695a2593622f04499139a3d548f
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             cryptonite-0.24-IByKkM7P4zb84ZBbpPiYXO=004e94a1b9c0e3843167a5009d72d1c3
             lens-4.15.4-IARthxF7jlSBoI0l6fcfLa=81cef53cf07321e9e6ec3fe3107ee88c
             memory-0.14.13-E2BkSNMs5yG1xvtpnX46Vf=f7fa0a068f9c6e22b52c782a7ceb13b7
             monad-time-0.2-LUGpLHgSHKFHCiGjsIZzVq=116f431f7921957b9b3eca4c6ee81af5
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=a1f89647d7228db4bf59b7aaec52e888
             semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7=d64b81e3ed8022aca04423ee7b330679
             template-haskell-2.12.0.0=24d98a36b9e0dbd4d443161d478c05b2
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=604c7b7c109a34b58d71795df287548a
             aeson-1.2.3.0-Cf2i78OHlFUJYqdwyv5nlM=0e01c019eafd251b8a08b33fdf71ce6e
             unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB=1ae4406c8abf6f6a305796d42b6e1b7b
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj=b7726d921cac66adc5c8f9f66f5b25f0
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             network-uri-2.6.1.0-BbYfQUrqmQG8TYLVq3Shq8=ab32d4d3146164271ec97b5409cdba0c
             QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9=77baeaa97e72dac9529ccf150f178180
             quickcheck-instances-0.3.16.1-F3CGOCfWzAIE2k3RoBmtPK=35e49374d54b7b02971284fae4a60a2d
             x509-1.7.2-1IcjKHXhhV7H2etXtZqC4B=7335650a9e93478bb9e0aba7a74fdb7e
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=137c9db50bf637e10c6e6dd9e685ce59
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

